﻿nivItemLevel = CreateFrame("Frame", "nivItemLevel", UIParent)
nivItemLevel:SetScript('OnEvent', function(self, event, ...) self[event](self, event, ...) end)
GameTooltip:HookScript("OnTooltipSetUnit", function() nivItemLevel:TooltipSetUnitHook() end)

local playerName, playerItemLevel = "GM", 0
local AvgItemLevel, CurItemLevel

if GetLocale() == "zhCN" then
    AvgItemLevel = "装备等级";
    CurItemLevel = "当前装备等级";
elseif GetLocale() == "zhTW" then
    AvgItemLevel = "平均裝備等級";
    CurItemLevel = "當前裝備等級";
else
    AvgItemLevel = "Avg ItemLevel";
    CurItemLevel = "Equipped ItemLevel";
end

nivItemLevel:RegisterEvent("PLAYER_EQUIPMENT_CHANGED")
nivItemLevel:RegisterEvent("ADDON_LOADED")
nivItemLevel:RegisterEvent("INSPECT_READY")

function nivItemLevel:PLAYER_EQUIPMENT_CHANGED()
    playerItemLevel = nivItemLevel:GetAvgItemLevel("player")
end

function nivItemLevel:ADDON_LOADED()
    playerName = UnitName("player")
    LoadAddOn("Blizzard_InspectUI")
end

function nivItemLevel:INSPECT_READY()
    playerItemLevel = nivItemLevel:GetAvgItemLevel("player")
end

function nivItemLevel:TooltipSetUnitHook()
    if InCombatLockdown() then return end
    if not UnitExists("mouseover") then return end
    if not UnitIsPlayer("mouseover") then return end
    if not UnitIsFriend("player", "mouseover") then return end
    if UnitName("mouseover") == playerName then return end

    local iLevel = 0

    if CanInspect("mouseover") then
        NotifyInspect("mouseover")
        iLevel = nivItemLevel:GetAvgItemLevel("mouseover")
    end

    if iLevel > 0 then
        local d = iLevel - playerItemLevel
        GameTooltip:AddLine("|cFF808080" .. AvgItemLevel .. ": |cFFFFFF00" .. iLevel .. "|r (|cFFFFFF00" .. ((d > 0) and "+" or "") .. d .. "|r)", 1, 1, 1)
    end
end

function nivItemLevel:GetAvgItemLevel(unit)
    local iLevel, iCount = 0, 0

    for i = 1,18 do
        if i == 4 then i = 5 end
        iLink = GetInventoryItemLink(unit, i)
        if iLink then
            local _,_,_,L = GetItemInfo(iLink)
            if L then
                iCount = iCount + 1
                iLevel = iLevel + L
            end
        end
    end

    if iCount > 0 then return floor((iLevel / iCount) + .5) else return 0 end
end

PAPERDOLL_STATINFO["EQUIPEDITEMLEVEL"] = {
    updateFunc = function(statFrame, unit)
        PaperDollFrame_SetLabelAndText(statFrame, CurItemLevel, playerItemLevel)
        statFrame:Show()
    end
}

tinsert(PAPERDOLL_STATCATEGORIES["GENERAL"].stats, "EQUIPEDITEMLEVEL")