  local addon, ns = ...
  local cfg = CreateFrame("Frame")

  -----------------------------
  -- MEDIA
  -----------------------------
  local MediaPath = "Interface\\Addons\\m_ActionBars\\media\\"
  cfg.textures_normal = MediaPath.."icon"
  cfg.textures_pushed = MediaPath.."icon"
  cfg.button_font = "Interface\\addons\\m_ActionBars\\media\\font.TTF"
  
  -----------------------------
  -- CONFIG
  -----------------------------
  --ActionBars config
  cfg.enable_action_bars = true		-- enable action bars modifications
  cfg.size = 27						-- setting up default buttons size
  cfg.spacing = 0					-- spacing between buttons

   cfg.config_mainbar = {		
	--[[orientation:]] "H",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 12,	
	--[[button size:]] cfg.size,	--[[spacing between buttons:]] cfg.spacing,
	--[[disable bar:]] false,		--[[show on mouseover:]] false,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0.5,
	["Position"] = { a= "BOTTOM",		x=	0 ,		y= 24	}
	}
  cfg.config_bottomleftbar = {	
	--[[orientation:]] "H",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 12,					
	--[[button size:]] cfg.size,	--[[spacing between buttons:]] cfg.spacing,
	--[[disable bar:]] false,		--[[show on mouseover:]] false,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0.5,
	["Position"] = { a= "BOTTOM",		x=	0,		y= 53	}
  	}
  cfg.config_bottomrightbar = {	
	--[[orientation:]] "V",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 12,					
	--[[button size:]] cfg.size,			--[[spacing between buttons:]] cfg.spacing,
	--[[disable bar:]] false,		--[[show on mouseover:]] alse,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0,
	["Position"] = { a= "RIGHT",	x=	-57,	y= 0	}
  	}
  cfg.config_leftbar = {		
	--[[orientation:]] "V",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 12,
	--[[button size:]] cfg.size, 			--[[spacing between buttons:]] cfg.spacing,
	--[[disable bar:]] false,		--[[show on mouseover:]] false,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0,
	["Position"] = { a= "RIGHT",	x=	-30,	y= 0	}
 	}
  cfg.config_rightbar = {		
	--[[orientation:]] "V",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 12,
	--[[button size:]] cfg.size,			--[[spacing between buttons:]] cfg.spacing,
	--[[disable bar:]] false,		--[[show on mouseover:]] false,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0,
	["Position"] = { a= "RIGHT",	x=	-3,	y= 0	}
	}
  cfg.config_shapeshiftbar = {	
	--[[orientation:]] "H",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 6,	
	--[[button size:]]  cfg.size, 			--[[spacing between buttons:]] cfg.spacing,	
	--[[disable bar:]] false,		--[[show on mouseover:]] true,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0,
	["Position"] = { a= "BOTTOM",	x=	-180,	y= 24	}
	}
  cfg.config_petbar = {			
	--[[orientation:]] "H",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] NUM_PET_ACTION_SLOTS,	
	--[[button size:]] 30,	--[[spacing between buttons:]] cfg.spacing,	
	--[[disable bar:]] false,		--[[show on mouseover:]] false,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] .3,
	["Position"] = { a= "BOTTOM",		x=	0,  	y= 90	}
	}
  cfg.config_extrabar = {		
	--[[orientation:]] "H",			--[[rows(H)/columns(V):]] 1,	--[[buttons:]] 12,
	--[[button size:]] 30,			--[[spacing between buttons:]] cfg.spacing,
	--[[disable bar:]] true,		--[[show on mouseover:]] false,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,  			--[[fade out alpha:]] .3,
	["Position"] = { a= "BOTTOMRIGHT",	x=	-8,	y= 260	}
	}
  cfg.config_totembar = {	
	--[[enable timers:]] true,		--[[button size:]] 32,			--[[spacing between buttons:]] 8,	
	--[[disable bar:]] false, 		--[[bar alpha:]] 1,
	["Position"] = { a= "BOTTOM",		x=	0,  	y= 238	}
	}
  cfg.config_raidiconbar = {	
	--[[orientation:]] "H",			--[[button size:]] 15,  		--[[spacing between buttons:]] 3,	
	--[[disable bar:]] false,		--[[show on mouseover:]] true,	--[[show when in combat:]] false,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0,
	["Position"] = { a= "BOTTOM",		x=	-2,  	y= 0	}
	}
  cfg.config_markerflarebar = {	
	--[[orientation:]] "V",			--[[button size:]] 23,			--[[spacing between buttons:]] cfg.spacing,	
	--[[disable bar:]] true,		--[[show on mouseover:]] true,	--[[show only when in group:]] true,
	--[[bar alpha:]] 1,				--[[fade out alpha:]] 0,
	["Position"] = { a= "BOTTOMLEFT",	x=	412,	y= 23	}
	}
  cfg.config_micromenu = {	
	--[[disable bar:]] true,		--[[show on mouseover:]] false,	--[[scale:]] 0.001,
	["Position"] = { a= "BOTTOMRIGHT",	x=	-26,	y= 345	}
	}
  cfg.config_exitvehiclebtn = {	
	--[[disable:]] false,  			--[[user placed:]] true,
	["Position"] = { a= "BOTTOM",		x=	-380,	y= 238	}
	}
	
  --ButtonsStyler config
  cfg.hide_hotkey = false		-- remove key binding text from the bars
  cfg.hide_macro_name = true	-- remove macro name text from the bars
  cfg.count_font_size = 8		-- remove count text from the bars
  cfg.hotkey_font_size = 8		-- font size for the key bindings text
  cfg.name_font_size = 8		-- font size for the macro name text
  cfg.colors = {
       normal = {r =  0,	g =  0, 	b =  0	},
       pushed = {r =  1,	g =  1, 	b =  1	},
    highlight = {r =  .9,	g =  .8,	b =  .6	},
      checked = {r =  .9,	g =  .8,	b =  .6	},
   outofrange = {r =  .8,	g =  .3, 	b =  .2	},
    outofmana = {r =  .3,	g = .3, 	b =  .7	},
       usable = {r =  1,	g =  1, 	b =  1	},
     unusable = {r = .4,	g = .4, 	b = .4	}
  }
  
--my personal settings
--[[ if GetUnitName("player") == "Strigoy" or GetUnitName("player") == "Strig" then
	cfg.config_bottomleftbar = {"H", 1, 12, 30, cfg.spacing, true, false, false, 1, .3,		
		["Position"] = { a= "BOTTOMRIGHT",	x=	-26,	y= 260}}
	cfg.config_extrabar = {"H", 1, 8, cfg.size, cfg.spacing, false, false, false, 1, 0.5,
		["Position"] = { a= "BOTTOM",		x=	0,		y= 183}}
end ]]
  
  -- HANDOVER
  ns.cfg = cfg
