-- Load the cargoShip-library
local cargoShip = LibStub("LibCargoShip-2.1")

--[[
	Option reference
	================
		name		The name of the data object to use

		parent		parent frame (default: cfgParent)
		width		width of the block (updates automatically)
		height		height of the block (default: 12)
		scale		scale of the block (default: 1)
		alpha		alpha value of the block (default: 1)

		fontObject	e.g. GameFontNormalSmall (default: nil)
		font		a path to a font family (default: "Fonts\\FRIZQT__.TTF")
		fontSize	font size (default: 10)
		fontStyle	font style e.g. OUTLINE (default: nil)
		textColor	table holding color of the text (default: { 1, 1, 1 } = white)

		noShadow	if true, it hides the text shadow (default: nil)
		shadowX		shadow x-offset (default: 1)
		shadowY		shadow y-offset (default: -1)

		noIcon		if true, it hides the icon (default: nil)
		noText		if true, it hides the text (default: nil)
		useLabel	if true, it shows the dataobject's name in front of the value (default: nil)
		tagString	a tag string for formatting, e.g. "[name]: [value][suffix]"
]]
--------> BOTTOM RIGHT PANEL
local RPx, RPy = -220, 6
local RPspacing = 8
local cfgParent = Bottompanel --RightPanel
local cfgfont = "Interface\\addons\\m_BrokerStuff\\media\\font.ttf"

local equip = cargoShip("Broker_Equipment",{
scale = 1,
alpha = 1,
width = 70,
noIcon = true,
font = cfgfont,
fontSize = 8,
fontStyle = "THINOUTLINE",
noShadow = true,
})
equip:SetPoint("CENTER", cfgParent, "BOTTOMRIGHT", RPx-110, RPy)

local ampere = cargoShip("Ampere",{
parent = equip,
noIcon = true,
font = cfgfont,
fontSize = 8,
fontStyle = "THINOUTLINE",
noShadow = true,
})
ampere:SetPoint("CENTER", cfgParent, "BOTTOMRIGHT", RPx-70, RPy)

local durability = cargoShip("Durability",{
parent = fps,
noIcon = true,
font = cfgfont,
fontSize = 8,
fontStyle = "THINOUTLINE",
noShadow = true,
})
durability:SetPoint("CENTER", cfgParent, "BOTTOMRIGHT", RPx-15, RPy)


local fps = cargoShip("Broker_FPS",{
parent = durability,
noIcon = true,
font = cfgfont,
fontSize = 8,
fontStyle = "THINOUTLINE",
noShadow = true,
})
fps:SetPoint("CENTER", cfgParent, "BOTTOMRIGHT", RPx+90, RPy)

local memory = cargoShip("Broker_Memory",{
parent = fps,
noIcon = true,
font = cfgfont,
fontSize = 8,
fontStyle = "THINOUTLINE",
noShadow = true,
})
memory:SetPoint("CENTER", cfgParent, "BOTTOMRIGHT", RPx+140, RPy)

local ping = cargoShip("Broker_Latency",{
parent = fps,
noIcon = true,
font = cfgfont,
fontSize = 8,
fontStyle = "THINOUTLINE",
noShadow = true,
})
ping:SetPoint("CENTER", cfgParent, "BOTTOMRIGHT", RPx+190, RPy)


