-- Load the cargoShip-library
local cargoShip = LibStub("LibCargoShip-2.1")

--[[
	Option reference
	================
		name		The name of the data object to use

		parent		parent frame (default: cfgParent)
		width		width of the block (updates automatically)
		height		height of the block (default: 12)
		scale		scale of the block (default: 1)
		alpha		alpha value of the block (default: 1)

		fontObject	e.g. GameFontNormalSmall (default: nil)
		font		a path to a font family (default: "Fonts\\FRIZQT__.TTF")
		fontSize	font size (default: 10)
		fontStyle	font style e.g. OUTLINE (default: nil)
		textColor	table holding color of the text (default: { 1, 1, 1 } = white)

		noShadow	if true, it hides the text shadow (default: nil)
		shadowX		shadow x-offset (default: 1)
		shadowY		shadow y-offset (default: -1)

		noIcon		if true, it hides the icon (default: nil)
		noText		if true, it hides the text (default: nil)
		useLabel	if true, it shows the dataobject's name in front of the value (default: nil)
		tagString	a tag string for formatting, e.g. "[name]: [value][suffix]"
]]
--------> BOTTOM LEFT PANEL
local LPx, LPy = 282, 13
local LPspacing = 10
local cfgParentA = leftPanel
local cfgfont = "Interface\\addons\\m_BrokerStuff\\media\\font.ttf"


local equip = cargoShip("Broker_Equipment",{
alpha = 1,
width = 70,
noIcon = true,
})
equip:SetPoint("CENTER", cfgParentA, "BOTTOMLEFT", LPx, LPy)

local fps = cargoShip("Broker_FPS",{
parent = equip,
noIcon = true,
})
fps:SetPoint("CENTER", cfgParentA, "BOTTOMLEFT", LPx-70, LPy)

local memory = cargoShip("Broker_Memory",{
parent = fps,
noIcon = true,
})
memory:SetPoint("CENTER", cfgParentA, "BOTTOMLEFT", LPx-140, LPy)

local ping = cargoShip("Broker_Latency",{
parent = fps,
noIcon = true,
})
ping:SetPoint("CENTER", cfgParentA, "BOTTOMLEFT", LPx-210, LPy)

--------> BOTTOM RIGHT PANEL
local RPx, RPy = -285, 13
local RPspacing = 8
local cfgParentB = RightPanel

local money = cargoShip("Money",{
width = 60,
alpha = 1,
noIcon = true,
})
money:SetPoint("CENTER", cfgParentB, "BOTTOMRIGHT", RPx, RPy)

if IsAddOnLoaded("alDamageMeter") then
	local dps = cargoShip("Dps",{
	width = 73,
	alpha = 1,
	noIcon = true,
	})
	dps:SetPoint("CENTER", cfgParentB, "BOTTOMRIGHT", RPx+70, RPy)
else
	local skada = cargoShip("Skada",{
	width = 73,
	alpha = 1,
	noIcon = true,
	})
	skada:SetPoint("CENTER", cfgParentB, "BOTTOMRIGHT", RPx+70, RPy)
end

local durability = cargoShip("Durability",{
parent = money,
noIcon = true,
})
durability:SetPoint("CENTER", cfgParentB, "BOTTOMRIGHT", RPx+140, RPy)

local ampere = cargoShip("Ampere",{
parent = money,
noIcon = true,
})
ampere:SetPoint("CENTER", cfgParentB, "BOTTOMRIGHT", RPx+210, RPy)
