local addon, ns = ...

local RaidBG = false -- toggle raid background on and off
----------------------------------------------------------------------------------------------------
---------------------------------------   Set of textures   ----------------------------------------
----------------------------------------------------------------------------------------------------
local def_back		= "interface\\Tooltips\\UI-Tooltip-Background"			-- default backdrop texture 
local def_border	= "interface\\Tooltips\\UI-Tooltip-Border"				-- default border
local button		= "interface\\Buttons\\UI-Quickslot"					-- fake button texture

local m_Panels = CreateFrame("frame") 

m_Panels.PLAYER_LOGIN = function(self)
----------------------------------------------------------------------------------------------------
---------------------------------------   Creating Panels   ----------------------------------------
----------------------------------------------------------------------------------------------------
	local col_bg   = {.15,.15,.15,0.9}							-- backdrop 0,0.5,0.5
	local col_br   = {0,0,0,1}									-- border color 0.11,0.38,0.36
	local col_max = {.2,.2,.2,0.75}							-- max color for gradient panels
	local col_min = {.2,.2,.2,0.3}							-- min color for gradient panels
	local no_col = {0,0,0,0}									-- transparent
	local line_max = {0.3,0.3,0.3,1}							-- gradient lines
----------------------------------------------------------------------------------------------------
-----------------------------------------   Panels set  --------------------------------------------
----------------------------------------------------------------------------------------------------
	local bch = 151--158								-- bottom cluster height
	local xadj = -18								-- bottom cluster x-Axis stretching
	local gap = -13
	
	adv_panel ("LeftBG",80+gap,23,xadj+330,bch,leftPanel,"BOTTOMLEFT","BOTTOMLEFT",leftPanel,
				def_back,def_border,"BACKGROUND",col_max,no_col)
		grad_panel ("LeftBGL",0,0,70,bch,LeftBG,"RIGHT","LEFT",leftPanel,
					def_back,def_border,"BACKGROUND",col_max,no_col,"HORIZONTAL",no_col,col_max)
	adv_panel ("RightBG",-80-gap,23,xadj+330,bch,RightPanel,"BOTTOMRIGHT","BOTTOMRIGHT",RightPanel,
				def_back,def_border,"BACKGROUND",col_max,no_col)
		grad_panel ("RightBGR",0,0,70,bch,RightBG,"LEFT","RIGHT",RightPanel,
					def_back,def_border,"BACKGROUND",col_max,no_col,"HORIZONTAL",col_max,no_col)
		--[[adv_panel ("Consum_pnl",-252-xadj,9,71,140,RightBG,"BOTTOMRIGHT","BOTTOMRIGHT",leftPanel,
					def_back,def_border,"BACKGROUND",{0,0,0,0},{0,0,0,0})
		adv_panel ("DM_pnl",0,-1,xadj+165,140,Consum_pnl,"BOTTOMLEFT","BOTTOMRIGHT",leftPanel,
					def_back,def_border,"BACKGROUND",{0,0,0,0},col_br)
		adv_panel ("DM_pnl",6,8,xadj+237,140,RightBG,"BOTTOMLEFT","BOTTOMLEFT",leftPanel,
					def_back,def_border,"BACKGROUND",{0,0,0,0},col_br)]]

	--Clusters
	adv_panel ("StripeLeft",-60,0,xadj+330,18,LeftBG,"TOPRIGHT","BOTTOMRIGHT",leftPanel,
			def_back,def_border,"BACKGROUND",col_bg,no_col)
	grad_panel ("StripeLeftL",0,0,55,18,StripeLeft,"LEFT","RIGHT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col, "HORIZONTAL", col_bg, no_col)
	adv_panel ("StripeLeftB",0,1,xadj+360,1,StripeLeft,"TOPLEFT","BOTTOMLEFT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	grad_panel ("StripeLeftBR",0,0,75,1,StripeLeftB,"LEFT","RIGHT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col, "HORIZONTAL", col_br, no_col)
	adv_panel ("LClusterB",0,0,xadj+391,1,LeftBG,"TOPRIGHT","BOTTOMRIGHT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("LClusterBL",0,0,1,17,LClusterB,"TOPLEFT","BOTTOMLEFT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("LClusterR",0,0,1,bch-1,LClusterB,"BOTTOMRIGHT","TOPRIGHT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("LClusterT",1,0,xadj+391,1,LClusterR,"BOTTOMRIGHT","TOPLEFT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("LClusterR2",0,0,1,100,LClusterT,"TOPLEFT","BOTTOMLEFT",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	grad_panel ("LClusterR3",0,0,1,60,LClusterR2,"TOP","BOTTOM",leftPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col, "VERTICAL", no_col, col_br)


	
	adv_panel ("StripeRight",60,0,xadj+330,18,RightBG,"TOPLEFT","BOTTOMLEFT",RightPanel,
			def_back,def_border,"BACKGROUND",col_bg,no_col)
	grad_panel ("StripeRightL",0,0,55,18,StripeRight,"RIGHT","LEFT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col, "HORIZONTAL", no_col, col_bg)
	adv_panel ("StripeRightB",0,1,xadj+360,1,StripeRight,"TOPRIGHT","BOTTOMRIGHT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	grad_panel ("StripeRightBL",0,0,75,1,StripeRightB,"RIGHT","LEFT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col, "HORIZONTAL", no_col, col_br)
	adv_panel ("RClusterB",0,0,xadj+391,1,RightBG,"TOPLEFT","BOTTOMLEFT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("RClusterBR",0,0,1,17,RClusterB,"TOPRIGHT","BOTTOMRIGHT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("RClusterL",0,0,1,bch-1,RClusterB,"BOTTOMLEFT","TOPLEFT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("RClusterT",-1,0,xadj+391,1,RClusterL,"BOTTOMLEFT","TOPRIGHT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	adv_panel ("RClusterL2",0,0,1,100,RClusterT,"TOPRIGHT","BOTTOMRIGHT",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col)
	grad_panel ("RClusterL3",0,0,1,60,RClusterL2,"TOP","BOTTOM",RightPanel,
			def_back,def_border,"BACKGROUND",col_br,no_col, "VERTICAL", no_col, col_br)
			
end

m_Panels:RegisterEvent("PLAYER_LOGIN")
m_Panels:SetScript("OnEvent",function(self,event,...) self[event](self,event,...) end)