  local addon, ns = ...
  local cfg = CreateFrame("Frame")

  -----------------------------
  -- MEDIA
  -----------------------------
  local MediaPath = "Interface\\Addons\\oUF_mono\\media\\"
  cfg.statusbar_texture = MediaPath.."statusbar"
  cfg.auratex = MediaPath.."iconborder" 
  cfg.font = "Fonts\\ZYKai_T.TTF"
  cfg.fontnum = MediaPath.."font.ttf"
  --cfg.fontname = "Fonts\\mingliu.ttf"
  cfg.fontname = cfg.font
  cfg.backdrop_texture = MediaPath.."backdrop"
  cfg.backdrop_edge_texture = MediaPath.."backdrop_edge"
  -- raid specific stuff
  cfg.aurafont = MediaPath.."auras.ttf"
  cfg.debuffborder = MediaPath.."iconborder"
  cfg.highlightTex = "Interface\\Buttons\\WHITE8x8"
  cfg.symbols = cfg.font
  
  -----------------------------
  -- CONFIG
  -----------------------------
  -- Additional frames
  cfg.showtot = true				-- Target of Target
  cfg.showpet = true				-- Player's pet
  cfg.showfocus = true				-- Focus target + target of focus target
  cfg.showparty = true				-- Party frames
  cfg.showboss = true				-- Boss frames
  cfg.showarena = false				-- Arena frames
  cfg.showraid = true				-- Raid frames
	
  -- Elements
  cfg.showportrait = false  		 --3Dͷ
  cfg.ReverseHPbars = false			-- fill health bars from right to left instead of standard left -> right direction
  cfg.playerauras = "NONE"  		-- small aura frame for player, available options: "BUFFS", "DEBUFFS", "AURAS", "NONE"
  cfg.auratimers = true 			-- aura timers
    cfg.ATIconSizeThreshold = 19 	-- how big some icon should be to display the custom timer
    cfg.ATSize = 11  				-- aura timer font size
	cfg.PlayerTimersOnly = true  	-- show timers only for auras cast by player
  cfg.showfaketarget = false		-- fake target bars that spawn if you don't have anything targeted
  cfg.RMalpha = 0.6 				-- raid mark alpha
  cfg.RMsize = 16 					-- raid mark size
  cfg.EnableCombatFeedback = false	-- enables CombatFeedback on player and target unit frames
  
  -- Cast bars settings
  cfg.focusCBuserplaced = false		-- false to lock focus cast bar to the focus frame
    cfg.focusCBposition = {"BOTTOMRIGHT","oUF_monoFocusFrame","TOPRIGHT",0,4} -- focus cb position
    cfg.focusCBwidth = 260			-- focus cb width
    cfg.focusCBheight = 15			-- focus cb height
  cfg.playerCBuserplaced = true	-- false to lock player cast bar to the player frame
    cfg.playerCBposition = {"CENTER",UIParent,"BOTTOM",0,243} -- player cb position
    cfg.playerCBwidth = 230			-- player cb width
    cfg.playerCBheight = 18			-- player cb height
  cfg.targetCBuserplaced = false	-- false to lock target cast bar to the target frame
    cfg.targetCBposition = {"CENTER",UIParent,"BOTTOM",10,360} -- target cb position
    cfg.targetCBwidth = 210			-- target cb width
    cfg.targetCBheight = 17			-- target cb height
  cfg.cbcolor = {.3,.45,.65}		-- castbar color
  cfg.interruptcb = {1,.49,0}		-- color setting for uninterruptable casts

  -- Frames position
  cfg.Ppos = {"TOP","UIParent","BOTTOM", 0, 280}						-- Player
  cfg.Tpos = {"TOP","UIParent","BOTTOM", 300, 400} 							-- Target
  cfg.PEpos = {"BOTTOMRIGHT", "oUF_monoPlayerFrame", "BOTTOMLEFT", -28, 0}		-- Pet
  cfg.TTpos = {"TOPRIGHT", "oUF_monoTargetFrame", "BOTTOMRIGHT", 0, -38}	-- ToT
  cfg.Fpos = {"TOP","UIParent","BOTTOM", -300, 400}		-- Focus
  cfg.FTpos = {"TOPLEFT", "oUF_monoFocusFrame", "BOTTOMLEFT", 0, -38}	-- Focus target
  cfg.PApos = {"BOTTOMLEFT", "UIParent", "BOTTOMLEFT", 120, 362}			-- Party
    cfg.PAspacing = 40 -- spacing between party units
  cfg.ARpos = {"BOTTOMRIGHT", "UIParent", "BOTTOMRIGHT", -120, 362}			-- Arena
  cfg.BOpos = {"BOTTOMRIGHT", "UIParent", "BOTTOMRIGHT", -120, 362}			-- Boss
    cfg.ABspacing = 56 -- spacing between arena and boss units
  cfg.RAIDpos = {"TOPLEFT", "UIParent", "LEFT", 27, 340} 				-- Raid frames
  
  -- Size and scale
  cfg.Pwidth = 230 		-- Player frame
  cfg.Pheight = 20
  cfg.Pscale = 1
  
  cfg.Twidth = 230 		-- Target frame
  cfg.Theight = 20
  cfg.Tscale = 1
  
  cfg.PTTwidth = 50 	-- Pet and ToT frames
  cfg.PTTheight = 24
  cfg.PTTscale = 1
  
  cfg.Fwidth = 230 		-- Focus frame
  cfg.Fheight = 20
  cfg.Fscale = 1
  
  cfg.PABwidth = 196 	-- Party (+partypet), Arena (+arenatargets) and Boss frames
  cfg.PABheight = 20
  cfg.PABscale = 1
  
  -- Raid config
  cfg.reversecolors = true 						-- raidתɫ
  cfg.DisableBlizzRaidManager = true 				-- disable default compact Raid Manager button
  cfg.width = 110									-- raid unit width
  cfg.height = 30 									-- raid unit height
  cfg.spacing = 4 									-- spacing between units
  cfg.namelength = 4 								-- number of letters to display
  cfg.fontsize = 11								-- font size
  cfg.iconsize = 10 								-- informative icon size (aka RL,ML,A etc.)
  cfg.symbolsize = 11 								-- bottom right corner counter size
  cfg.indicatorsize = 5 							-- square indicator size
  cfg.debuffsize = 11 								-- debuff icon size
  cfg.focusHLcol = {.8, .8, .2, .7} 				-- focus border color
  cfg.orientation = "HORIZONTAL" 					-- hp/mp bar direction
  cfg.MTframes = false 								-- toggle Main tank frames
    cfg.MTpos = {"BOTTOMLEFT", "UIParent", "BOTTOMRIGHT", -163, 233}	-- MTs frame position
    cfg.MTsize = 1.5 								-- MT size relatively to unit size
  cfg.frequent = true 								-- Enhances update rate for indicators (can be cpu intensive)
  cfg.indicators = true 							-- enable/disable raid frames indicators
  cfg.LeaderIcons = true 							-- toggle leader/assistant/master looter icons visibility on raid units
  cfg.RaidMark = true 								-- toggle raid mark visibility on raid units
  cfg.RCheckIcon = true 							-- ready check icon
  cfg.raid40swap = true 							-- allow raid frames to change their size if there are more than 30 players in the group
  cfg.raid5ON = false 								-- show raid frame for 5 (or less) men raid group
  cfg.partyON = false 								-- show party as 5 men raid group
    cfg.lfdIcons = true 							-- toggle group role indication on/off
  cfg.powerbar = true 								-- toggle display of tiny power bars on raid frames
    cfg.powerbarsize = 0.09 						-- power bar thickness relatively to unit size
  cfg.healbar = true 								-- healing prediction bar
	cfg.healalpha = 0.25 							-- heal prediction bar alpha
	cfg.healoverflow = 1 							-- overhealing display (1 = disabled, may take values higher than 1)
  cfg.healtext = false 								-- show/hide heal prediction text
  cfg.raid_menu = false								-- enable/disable right-click menu for raid frames
	
	
  -- my config 
  if GetUnitName("player") == "Strigoy" or GetUnitName("player") == "Strig" then
	cfg.playerauras = "DEBUFFS"
	cfg.PApos = {"BOTTOMRIGHT", "oUF_monoPlayerFrame", "TOPLEFT", -50, 70}
	cfg.ARpos = {"BOTTOMLEFT", "oUF_monoTargetFrame", "TOPRIGHT", 50, 70}
	cfg.BOpos = {"BOTTOMLEFT", "oUF_monoTargetFrame", "TOPRIGHT", 50, 70}
	cfg.MTpos = {"TOPLEFT", "UIParent", "BOTTOM", 167, 177}
	cfg.MTsize = 1.1
  end
  -- HANDOVER
  ns.cfg = cfg
